package biz.capitalware.mqfm.action.objects;

import java.util.ArrayList;

import biz.capitalware.mqfm.objects.Constants;

/**
 * This class holds the values for the PutQuit action.
 *
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public class PutQuitObject extends FMFileMQObject
{
   /**
    * The constructor
    */
   public PutQuitObject()
   {
      super();
   }

   /**
    * Process tokens in Action Object's variables
    */
   public void performTokenization()
   {
      
   }

   /**
    * Verify the values in the object.
    */
   public void checkObject()
   {
   }

   /**
    * Output the info
    * @param logger
    */
   public void printValues()
   {
   }
   
   /**
    * Convert the object to a string.
    * @return s
    */
   public ArrayList<String> toStringArray()
   {
      ArrayList<String> al = new ArrayList<String>();

      al.add("<"+Constants.PUTQUIT_ELEMENT+">"+LINE_SEPARATOR);

      /*
       * MQ info
       */
      ArrayList<String> mq = createMQTag();
      for (int i=0; i < mq.size(); i++)
         al.add(mq.get(i));
      
      al.add("</"+Constants.PUTQUIT_ELEMENT+">"+LINE_SEPARATOR);
      
      return al;
   }
}
