package biz.capitalware.mqfm.actions;

import biz.capitalware.mqfm.MQFM;

/**
 * This class is an abstract class for all actions.
 *
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public abstract class FMAction
{
   public FMAction(String actionName)
   {
      super();

      MQFM.logger.info("");
      MQFM.logger.info(actionName + " action now being performed.");
      MQFM.logger.info("User Supplied parameters:");
   }

   public abstract int doWork();
}
