package biz.capitalware.mqfm.schedule;

/**
 * The listener interface for receiving events.
 * 
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public interface ScheduleEventListener
{

   /**
    * Invoked when an event is triggered.
    * 
    * @param entry
    *           the EventEntry which has been triggered.
    */
   public abstract void handleEvent(ScheduleEntry entry);
}
